Bug 499283 - Review Request: xfce4-radio-plugin - V4l radio device control plugin for the Xfce panel
Review Request: xfce4-radio-plugin - V4l radio device control plugin for the ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-05 18:50 EDT by Christoph Wickert
Modified: 2014-09-23 08:10 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.4.1-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-21 19:28:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2009-05-05 18:50:12 EDT
Spec URL: http://cwickert.fedorapeople.org/review/xfce4-radio-plugin.spec
SRPM URL: http://cwickert.fedorapeople.org/review/xfce4-radio-plugin-0.4.1-1.fc11.src.rpm
Description: Xfce panel plugin to control your V4l radio device. To run it, all you need is the Xfce panel and a properly configured V4l radio device.

Left-click on the plugin’s icon to switch your radio on/off. Once turned on, the middle button will show you the station preset menu. The mouse wheel allows you to change frequency or station preset.
Comment 1 Susi Lehtola 2009-05-06 04:18:12 EDT
- And here: requiring different version of xfce4-panel-devel than xfce4-panel.


rpmlint output is clean.

MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. OK

MUST: A package must own all directories that it creates or require the package that owns the directory. NEEDSFIX
- Must Requires: hicolor-icon-theme

MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK


I'll trust you to fix the missing requires before cvs import. The package has been

APPROVED
Comment 2 Christoph Wickert 2009-05-06 09:27:33 EDT
(In reply to comment #1)
> - And here: requiring different version of xfce4-panel-devel than xfce4-panel.

Again intended. One is what configure really checks for, the other is what this package is build against.

> MUST: A package must own all directories that it creates or require the package
> that owns the directory. NEEDSFIX
> - Must Requires: hicolor-icon-theme

Not necessary, because it requires gtk2, which already requires hicolor-icon-theme.

New Package CVS Request
=======================
Package Name: xfce4-radio-plugin
Short Description: V4l radio device control plugin for the Xfce panel
Owners: cwickert
Branches: F-9 F-10 F-11
InitialCC:
Comment 3 Kevin Fenzi 2009-05-06 17:18:53 EDT
cvs done.
Comment 4 Fedora Update System 2009-05-09 09:02:35 EDT
xfce4-radio-plugin-0.4.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xfce4-radio-plugin-0.4.1-1.fc11
Comment 5 Fedora Update System 2009-05-09 09:03:18 EDT
xfce4-radio-plugin-0.4.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xfce4-radio-plugin-0.4.1-1.fc10
Comment 6 Fedora Update System 2009-05-11 23:57:21 EDT
xfce4-radio-plugin-0.4.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xfce4-radio-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4720
Comment 7 Fedora Update System 2009-05-12 00:05:19 EDT
xfce4-radio-plugin-0.4.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xfce4-radio-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4805
Comment 8 Fedora Update System 2009-05-21 19:28:16 EDT
xfce4-radio-plugin-0.4.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-05-21 19:29:06 EDT
xfce4-radio-plugin-0.4.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Mukundan Ragavan 2014-09-22 21:10:10 EDT
Package Change Request
======================
Package Name:  xfce4-radio-plugin
New Branches: epel7
Owners: cwickert
InitialCC: nonamedotc
Comment 11 Gwyn Ciesla 2014-09-23 08:10:17 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.